Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
proofs::Eqs< Field > Class Template Reference
Inheritance diagram for proofs::Eqs< Field >:
[legend]
Collaboration diagram for proofs::Eqs< Field >:
[legend]

## Public Member Functions
| Eqs (size_t logn, corner_t n, const Elt I[], const Field &F)
corner_t | n () const
Public Member Functions inherited from proofs::Dense< Field >
| Dense (corner_t n0, corner_t n1)
| Dense (const Field &F)
| Dense (corner_t n0, corner_t n1, const Elt p[], size_t ldp)
| Dense (const Dense &y)=delete
| Dense (const Dense &&y)=delete
Dense | operator= (const Dense &y)=delete
std::unique_ptr< Dense > | clone () const
void | clear (const Field &F)
void | bind (const Elt &r, const Field &F)
void | bind_all (size_t logv, const Elt r[], const Field &F)
Elt | at (corner_t j) const
void | scale (const Elt &x, const Elt &x_last, const Field &F)
Elt | at_corners (corner_t p0, corner_t p1, const Field &F) const
T2 | t2_at_corners (corner_t p0, corner_t p1, const Field &F) const
void | reshape (corner_t n0)
Elt | scalar ()

## Static Public Member Functions
static std::vector< Elt > | raw_eq2 (size_t logn, corner_t n, const Elt *G0, const Elt *G1, const Elt &alpha, const Field &F)

## Additional Inherited Members
Data Fields inherited from proofs::Dense< Field >
corner_t | n0_
corner_t | n1_
std::vector< Elt > | v_

The documentation for this class was generated from the following file:

- lib/arrays/eqs.h